@import 'fonts.css';

:root {
--primary: #D69B2C;
--primary-hover: #bd8928;
--secondary: #222;
--secondary-hover: #151515;
--emphasis: #111;
--default: #282C2E;
--meta: #999;
--muted: #f8f8f8;
--white: #fff;
--white-75: rgb(255, 255, 255, .75);
--white-25: rgb(255, 255, 255, .25);
--border-radius: 10px;
--box-shadow: 0 5px 15px 0 rgba(0,0,0,.25);
--font-family-default: 'Fustat';
--font-family-primary: 'Nanum Pen';
}

/*Cookie CSS*/

.tm-cookie-banner .uk-container {
  text-align: left !important;
  align-items: center;
}

.tm-cookie-banner .cookie-text {
	font-size: 0.7rem;
	line-height: 1;
}

.js-custom-cookie-accept {
	font-size: 0.5rem;
}

@media(min-width: 960px){
  .tm-cookie-banner {
    max-width: 460px;
    bottom: 40px;
    left: 50%;
    transform: translateX(-50%);
  }
}

/*-- BASE --*/
textarea {
  resize: none;
}


/*-- UIkit --*/
@media(min-width: 960px){
  .uk-margin-medium-left\@m {
    margin-left: 40px;
  }
}


/*-- CUSTOM --*/
.uk-heading-large .char {
  display: inline-block;
  will-change: transform, opacity, filter;
}

.s-opacity-mask  {
  -webkit-mask: linear-gradient(to bottom, transparent 0px, #000 70px, #000 calc(100% - 70px), transparent 100%);
  mask: linear-gradient(to bottom, transparent 0px, #000 70px, #000 calc(100% - 70px), transparent 100%);
}

.c-link-text a {
  justify-content: flex-start;
  gap: 10px;
  border-bottom: 1.5px solid var(--primary);
  text-decoration: none;
}

.uk-section-primary .c-link-text a {
  border-color: var(--white);
}

.c-link-text a .uk-icon {
  margin-left: auto !important;
}

.s-team .uk-tile-default  {
  background: none;
  border: 1.5px solid var(--primary);
  border-radius: var(--border-radius);
}

.c-booking-gallery {
  border-radius: var(--border-radius);
  overflow: hidden;
  box-shadow: var(--box-shadow);
}

.c-booking-gallery .uk-button {
  width: 320px;
  max-width: 100%;
}
.c-booking-gallery .el-item img {
  filter: grayscale(1);
  transition: all ease .15s;
}

.c-booking-gallery .el-item:hover img {
  filter: grayscale(0);
}

.c-map {
  filter: grayscale(1);
  border-radius: var(--border-radius);
  overflow: hidden;
}

@media(max-width: 640px){
  .s-promo img {
    aspect-ratio: 1;
    object-fit: cover;
  }
}
@media(max-width: 960px){
  .s-team .c-team-overlay {
    position: static !important;
    margin-top: -70px;
  }
}


/* LANGUAGE */
.mod-languages > .uk-subnav {
  flex-direction: column;
}
div.mod-languages li,
div.mod-languages li a {
  margin: 0;
  padding: 0;
  font-weight: 500;
  color: var(--default) !important;
}
.mod-languages li.uk-active > a {
  color: var(--primary) !important;
}
.uk-light .mod-languages li > a {
  color: var(--white-75) !important;
}
.uk-light .mod-languages li.uk-active > a {
  color: var(--white) !important;
}